%define major		18

# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif

%define libname		%mklibname %{name} %major
%define develname	%mklibname %{name} -d

Name:		gsasl
Version:	2.2.1
Release:	1%{?dist}
Summary:	Implementation of the Simple Authentication and Security Layer framework
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/gsasl/
Source:		https://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libntlm)
BuildRequires:	pkgconfig(mit-krb5-gssapi)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  (pkgconfig(readline) or readline-devel)
BuildRequires:  pkgconfig(libidn)

%description
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -f %name.lang
%{_bindir}/
%{_infodir}/
%{_mandir}/man1/*.1*

#--------------------------------------------------------------------

%package -n %libname
Group:		System/Libraries
Summary:	Implementation of the Simple Authentication and Security Layer framework

%description -n %libname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %libname
%_libdir/libgsasl.so.%{major}
%_libdir/libgsasl.so.%{major}.*

#--------------------------------------------------------------------

%package -n %develname
Group:		Development/C
Summary:	Implementation of the Simple Authentication and Security Layer framework
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release

%description -n %develname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %develname
%_libdir/pkgconfig/libgsasl.pc
%_libdir/libgsasl.so
%{_includedir}/*.h
%{_mandir}/man3/*.3*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --with-gssapi-impl=mit --with-libgcrypt
%make_build

%install
%make_install
%find_lang %name

find %{buildroot} -name '*.la' -delete
